# =========================================================================== #
# Gemspec for Project RubyTokenParser.
# =========================================================================== #
Gem::Specification.new { |s|

  s.name    = 'ruby_token_parser'
  s.version = '0.0.6'
  s.date    = Time.now.strftime('%Y-%m-%d')

  DESCRIPTION = <<-EOF

    This project is called ruby_token_parser.
    
    It allows one to parse for ruby literals, which can
    be used to return a proper ruby object.
    
    This project is based on apeiros' prior work, his gem
    is called literal_parser - check it out.

    If you have specific suggestions to make this gem more
    useful for others, please drop me an email at:

      shevegen@gmail.com

    Thank you.
  EOF

  s.summary     = DESCRIPTION
  s.description = DESCRIPTION
  
  s.extra_rdoc_files = %w()
  
  s.authors     = ['Robert A. Heiler']
  s.email       = 'shevegen@gmail.com'
  s.files       = Dir['**/*']
  s.files      << 'README.md'
  s.license     = 'BSD-2-Clause'
  s.homepage    = 'https://github.com/shevegen/ruby_token_parser'

  s.required_ruby_version     = '>= '+RUBY_VERSION
  s.required_rubygems_version = '>= '+Gem::VERSION
  s.rubygems_version          = '>= '+Gem::VERSION

  # ========================================================================= #
  # External dependencies for the project:
  # ========================================================================= #
  # s.add_dependency 'foo'

}